2022-12-06 Version: 1.8.2
- Add describeCostBudgetsSummary.

2022-10-13 Version: 1.8.1
- Modify QueryCommodityList QuerySkuPriceList QueryPriceEntityList.

2022-10-12 Version: 1.8.0
- Add QueryCommodityList QuerySkuPriceList QueryPriceEntityList.

2022-09-27 Version: 1.7.17
- Update QueryResourcePackageInstances add field commodityCode.

2022-06-29 Version: 1.7.15
- Update QuerySavingsPlansDeductLog add field OwnerId.

2022-06-21 Version: 1.7.14
- Support region ap-northeast-2,cn-wulanchabu.

2022-05-19 Version: 1.7.13
- Update SubscribeBillToOSS and QueryBillToOSSSubscription to support BucketPath.

2022-05-11 Version: 1.7.12
- Add release api and publish.

2022-04-24 Version: 1.7.10
- Bill api add query conditions and return data field.

2022-03-28 Version: 1.7.9
- Refund instance.
- Refund instance query price.

2021-12-28 Version: 1.7.8
- Add get account relation API.
- Support relationId operate account relation.

2021-11-23 Version: 1.7.1
- Add Create Savingplan Instance API.

2021-08-10 Version: 1.7.7
- Supported DescribeSavingsPlansUsageTotal.
- Supported DescribeSavingsPlansUsageDetail.
- Supported DescribeSavingsPlansCoverageTotal.
- Supported DescribeSavingsPlansCoverageDetail.

2021-06-25 Version: 1.7.6
- Update DescribeSplitItemBill to support daily report.

2021-06-24 Version: 1.7.5
- Update QueryBillOverview, QuerySettleBill, QueryAccountBill, DescribeInstanceBill and support trusteeship bill query.

2021-05-08 Version: 1.7.3
- Support Coverage.
- Support Usage.

2021-04-12 Version: 1.7.0
- Support allocation status.

2021-04-01 Version: 1.6.9
- Query saving plan instance support tag.

2021-03-25 Version: 1.6.8
- Add DescribeInstanceBill.
- Update QuerySettleBill to support RecordID filter.

2021-01-22 Version: 1.6.6
- Support savingsplans instance Query.
- Support savingsplans deduct log Query.

2021-01-22 Version: 1.6.6
- Support savingsplans instance Query.
- Support savingsplans deduct log Query.

2021-01-18 Version: 1.6.5
- Add logistics for createinstance.

2021-01-16 Version: 1.6.2
- Add BillingDate support in QueryAccontBill.
- Add SplitAccountId, SplitAccountName, SplitBillingCycle, SplitProductDetail, SplitCommodityCode, ServicePeriodUnit support in QuerySplitItemBill.

2021-01-14 Version: 1.6.2
- Add BillingDate support in QueryAccontBill.
- Add SplitAccountId, SplitAccountName, SplitBillingCycle, SplitProductDetail, SplitCommodityCode, ServicePeriodUnit support in QuerySplitItemBill.

2020-12-31 Version: 1.6.1
- Support savingsplans instance Query.
- Support savingsplans deduct log Query.

2020-12-28 Version: 1.6.0
- Add CommodityCode For QueryOrderAPI.

2020-08-13 Version: 1.5.9
- Add PipCode and CommodityCode for QueryInstanceBill, QueryBillOverview, QueryBill, QuerySettleBill, QueryAccountBill, QuerySplitItemBill.
- Support BillOwnerId filter for QueryInstanceBill, QueryBillOverview, QueryBill, QuerySettleBill, QueryAccountBill, QuerySplitItemBill.

2020-07-09 Version: 1.5.8
- Add new action of QuerySettleBill.

2020-07-09 Version: 1.5.6
- Add new action of QuerySettleBill.

2020-06-11 Version: 1.5.7
- Support ServicePeriodUnit in QueryInstanceBill.

2020-06-05 Version: 1.5.6
- Support split bill.

2020-01-09 Version: 1.5.5
- Support DAILY report in QueryInstanBill.

2019-11-26 Version: 1.5.4
- Modify QueryBill, add SubOrderId in item of response.

2019-11-15 Version: 1.5.3
- Modify QueryAccountBill, support group by product.

2019-11-13 Version: 1.5.2
- Fix ResourceId type from Long to String on QueryCostUnitResource.

2019-11-13 Version: 1.5.1
- Fix ResourceId type from Long to String on QueryCostUnitResource.

2019-11-13 Version: 1.5.1
- Fix ResourceId type from Long to String on QueryCostUnitResource.

2019-11-13 Version: 1.5.1
- Add new API QueryBillToOSSSubscription.

2019-10-29 Version: 1.5.0
- Add a new Alibaba Cloud Bill API named QueryAccountBill.

2019-10-24 Version: 1.4.3
- Generated 2017-12-14 for `BssOpenApi`.

2019-10-24 Version: 1.4.3
- Generated 2017-12-14 for `BssOpenApi`.

2019-09-05 Version: 1.4.2
- Generated 2017-12-14 for `BssOpenApi`.

2019-08-27 Version: 1.4.1
- Fixed endpoint data init.

2019-08-26 Version: 1.4.0
- QueryInstanceBillResponse change ownerId type from Long to String.
- QueryInstanceBillResponse change usage type from float to String.
- QueryInstanceBillResponse change listPrice type from float to String.
- QueryInstanceBillResponse change deductedByResourcePackage type from float to String.

2019-08-22 Version: 1.3.4
- Generated 2017-12-14 for `BssOpenApi`.

2019-08-15 Version: 1.3.3
- QueryInstanceBillResponse add ServicePeriod.

2019-08-05 Version: 1.3.2
- GetOrderDetail add originalConfig param.

2019-08-05 Version: 1.3.1
- GetOrderDetail add originalConfig param.

2019-08-05 Version: 1.3.1
- GetOrderDetail add originalConfig param.

2019-08-02 Version: 1.3.1
- SubscribeBillToOSSRequest add multAccountRelSubscribe, bucketOwnerId.
- UnsubscribeBillToOSSRequest add multAccountRelSubscribe.

2019-07-31 Version: 1.3.0
- Endpoint auto route.

2019-07-19 Version: 1.2.9
- QueryMonthlyBillResponse add roundDownDiscount.
- QueryBillResponse add roundDownDiscount.
- QueryInstanceBillResponse add item.

2019-06-03 Version: 1.2.8
1, Order info add relatedOrderId.

2019-05-05 Version: 1.2.5
1, CreateInstance add ClientToken parameter.

2019-04-22 Version: 1.2.4
1, This is an example of release-log.
2, Please strictly follow this format to edit in English.
3, Format：Number + , + Space + Description

2019-03-19 Version: 1.2.2
1, add query user oms data api

2019-03-19 Version: 1.2.2
1, This is an example of release-log.
2, Please strictly follow this format to edit in English.
3, Format：Number + , + Space + Description

2019-03-04 Version: 1.2.1
1, This is an example of release-log.
2, Please strictly follow this format to edit in English.
3, Format：Number + , + Space + Description

2019-01-28 Version: 1.1.0
1, Release 3 new Alibaba Cloud Bill API(QueryBillOverview、QueryBill、QueryInstanceBill). 
2, Kindly suggest replace to new APIs who is using the old ones(QueryMonthlyBill、QuerySettlementBill、QueryMonthlyInstanceConsumption).

2018-12-17 Version: 1.0.7
1, Add EnableBillGeneration interface.
2, Authorization for Virtual Network Operator.


2018-11-22 Version: 1.0.6
1, Provide attribute info for DescribePricingModule api.

2018-11-19 Version: 1.0.5
1, Add query support for redeem

2018-09-20 Version: 1.0.4
1, BssOpenApi first deploy.

2018-09-20 Version: 1.0.0
1, BssOpenApi first deploy.

